Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class MaterializeRelation

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.MaterializeRelation

    public class MaterializeRelation

extends ExecutableOperator

Author:
  Martin Scholz

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`MaterializeRelation()`

Method Summary
`void` | `compileStatement()` Not required.
`void` | `createStatement(boolean lazy)` Abstract method for generating an sql-statement.
`EstimatedStatistics` | `estimateStatistics(Step theStep)` Not required.
`protected java.lang.String` | `getCrossTableName()` Only n:m relations are currently supported.
`protected Relation` | `getRelation()` Gets the Relation.
`protected java.lang.String` | `getSchema()`
`java.lang.String` | `getTableName()` Gets the table name.

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaterializeRelation

    public MaterializeRelation()

Method Detail

### createStatement

    public void createStatement(boolean lazy)
                         throws M4CompilerError

  Description copied from class: `ExecutableOperator`
  Abstract method for generating an sql-statement. This method handles the process of generating an sql-statement for an operator. The implementation is done individually by every operator.

  Specified by:
    `createStatement` in class `ExecutableOperator`
  Parameters:
    `lazy` - If TRUE, run in lazy mode: create atmost one output ColumnSet
  Throws:
    `M4CompilerError`
  See Also:
    `ExecutableOperator.createStatement(boolean)`

### compileStatement

    public void compileStatement()

  Not required. Dummy method.

  Specified by:
    `compileStatement` in class `ExecutableOperator`

### estimateStatistics

    public EstimatedStatistics estimateStatistics(Step theStep)
                                           throws M4Exception

  Not required. Dummy method.

  Throws:
    `M4Exception`

### getTableName

    public java.lang.String getTableName()
                                  throws M4CompilerError

  Gets the table name.

  Returns:
    a Concept
  Throws:
    `M4CompilerError`

### getRelation

    protected Relation getRelation()
                            throws M4CompilerError

  Gets the Relation.

  Returns:
    a Relation
  Throws:
    `M4CompilerError`

### getSchema

    protected java.lang.String getSchema()
                                  throws M4CompilerError,
                                         M4Exception

  Returns:
    the business schema of the cross-table as a String
  Throws:
    `M4CompilerError`
    `M4Exception`

### getCrossTableName

    protected java.lang.String getCrossTableName()
                                          throws M4CompilerError

  Only n:m relations are currently supported.

  Returns:
    the schemaPlusName String of the relation's cross-table
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005